Skip to main content
POST
Upload document

Authorizations

Authorization
string
header
required

Enter your API key in the format: sk_test_xxxxx or sk_live_xxxxx

Path Parameters

business_id
string
required

The ID of the business to upload the document for.

Body

multipart/form-data
type
enum<string>
required

Document type classification

Available options:
passport,
drivers_license,
national_id,
government_id,
articles_of_incorporation,
certificate_of_formation,
operating_agreement,
bylaws,
ein_letter,
business_license,
certificate_of_good_standing,
bank_statement,
tax_return,
proof_of_address,
notice,
mail,
ra_change_confirmation,
ra_resignation,
receipt,
other
Example:

"articles_of_incorporation"

metadata
object
required

Additional metadata

Example:

Response

Document uploaded

id
string<uuid>
required

Unique identifier for the document. Pass this to the document download endpoints.

Example:

"906f369f-a73b-46a2-8184-ccc5c2848abd"

object
enum<string>
required

Object type identifier, always "document"

Available options:
document
Example:

"document"

mode
enum<string>
required

Whether this resource is test or live; test and live data are isolated.

Available options:
test,
live
Example:

"live"

type
enum<string>
required

Document type classification

Available options:
passport,
drivers_license,
national_id,
government_id,
articles_of_incorporation,
certificate_of_formation,
operating_agreement,
bylaws,
ein_letter,
business_license,
certificate_of_good_standing,
bank_statement,
tax_return,
proof_of_address,
notice,
mail,
ra_change_confirmation,
ra_resignation,
receipt,
other
Example:

"articles_of_incorporation"

filename
string
required

Original filename of the uploaded document

Maximum string length: 255
Example:

"articles_of_incorporation.pdf"

file_size
number
required

Size of the file in bytes

Required range: x >= 0
Example:

524288

content_type
string
required

MIME type of the file

Example:

"application/pdf"

status
enum<string>
required

Current status of the document

Available options:
pending,
verified
Example:

"verified"

upload_date
string<date-time>
required

ISO 8601 timestamp when the document was uploaded

Example:

"2025-10-24T10:30:00Z"

metadata
object
required

Custom metadata

Example:
created_at
string<date-time>
required

ISO 8601 timestamp when the document record was created

Example:

"2025-10-24T10:30:00Z"

updated_at
string<date-time>
required

ISO 8601 timestamp when the document record was last updated

Example:

"2025-10-24T10:35:00Z"